=== debian/changelog ===
libphonenumber (6.0+r655-0ubuntu6) vivid; urgency=medium

  * Rebuild against libprotobuf9.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Dec 2014 10:41:21 +0000

libphonenumber (6.0+r655-0ubuntu5) utopic; urgency=medium

  * Build without -O3 on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Sep 2014 19:30:17 +0200

libphonenumber (6.0+r655-0ubuntu4) utopic; urgency=medium

  * debian/rules:
    - never set INSTALL_PROGRAM+=-s; rely on dh_strip to strip
      the files only after install.
    - build with VERBOSE=1.
    - use dh build system args instead of overriding all of dh_auto_*.
  * Bump to compat level 9, which enables dpkg-buildflags usage.
  * Build without -O2 (which is consistent with previous builds), since
    enabling it causes ABI changes in the library.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 27 Jul 2014 08:22:16 +0000

libphonenumber (6.0+r655-0ubuntu3) utopic; urgency=medium

  * debian/*.symbols*:
    - Provide arch-specific symbol files for both architectures, enabling
      proper builds for both 64 and 32 bit systems

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Fri, 09 May 2014 14:22:53 +0200

libphonenumber (6.0+r655-0ubuntu2) utopic; urgency=medium

  * debian/patches/fix_ftbfs.patch
    - Fix for FTBFS on i386 and armhf, patch from Renato Araujo Oliveira Filho

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 08 May 2014 15:10:36 -0400

libphonenumber (6.0+r655-0ubuntu1) utopic; urgency=medium

  [ Ken VanDine ]
  * debian/control
    - build depend on ant-optional
    - Bump soname
    - split libgeocoding6 out into a separate package
    - bump standards version to 3.9.5
  * debian/patches/boost_build_fix.patch
    - Fixed cpp library installation, patch from Renato Araujo Oliveira Filho
  * debian/source/format
    - Specify quilt
  * debian/copyright
    - Updated all copyrights and licenses

  [ Łukasz 'sil2100' Zemczak ]
  * debian/patches/cpp_symbols_map.patch:
    - Add a symbols map file not to leak unnecessary C++ symbols
  * debian/libphonenumber6.symbols, debian/libgeocoding6.symbols:
    - Add C++ symbols for libphonenumber.so.6 and libgeocoding.so.6

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 30 Apr 2014 14:51:09 -0400

libphonenumber (6.0) precise; urgency=low

  * Code changes:
   - Better support for detecting phone numbers in text that are beside each
     other
   - Change to how Japanese numbers beginning with "00" are modelled, with the
     side-effect that the maximum possible number length has been extended by
     1.
   - Handle StringIndexOutOfBoundsException in the AsYouTypeFormatter when the
     national prefix that was extracted was not found in the prefix. This
     affected countries with very long carrier codes, such as Korea.
   - Removal of some of the author attributions - contributions to be tracked
     in CONTRIBUTORS file.
  * Metadata changes:
    - Updated phone metadata for region code(s): AS, BR, KW, LU
    - New carrier data for country calling code(s): 1684 (en)
    - Updated carrier data for country calling code(s): 352 (en)

 -- Lara Scheidegger <lararennie@google.com>  Tue, 25 Feb 2014 13:57:19 +0100

libphonenumber (5.9.4) precise; urgency=low

  * Metadata changes:
    - Updated phone metadata for region code(s):
    883, BF, BJ, BW, CL, CR, DZ, FR, GD, IN, JP, MD, NG, NZ, PK, PL, SY,
    UY, VU
    - Updated short number metadata for region code(s): LV, MD
    - New carrier data for country calling code(s): 373 (en), 1473 (en)
    - Updated carrier data for country calling code(s):
    48 (en), 49 (en), 91 (en), 92 (en), 213 (en), 226 (en), 229 (en),
    234 (en),
    267 (en), 389 (en), 506 (en), 598 (en)

 -- Shaopeng Jia <shaopengjia@google.com>  Fri, 07 Feb 2014 11:46:35 +0100

libphonenumber (5.9.3) precise; urgency=low

  * Metadata changes:
    - Updated phone metadata for region code(s):
    BF, BH, BR, CN, GR, IN, MY, PA, TN, US
    - Updated short number metadata for region code(s): CN
    - New geocoding data for country calling code(s): 1364 (en), 1725
    (en)
    - Updated geocoding data for country calling code(s): 86 (en)
    - Updated carrier data for country calling code(s):
    55 (en), 226 (en), 973 (en)

 -- Lara Scheidegger <lararennie@google.com>  Tue, 21 Jan 2014 11:10:21 +0100

libphonenumber (5.9.2) precise; urgency=low

  * Metadata changes:
    - New alternate formatting data for country calling code(s): 255,
    27, 381, 506
    - Updated alternate formatting data for country calling code(s): 43
    - Updated phone metadata for region code(s):
    AG, AI, AS, BB, BF, BM, BS, CA, CR, DM, DO, EC, GD, GU, JM, KN, KY,
    LC, MP,
    MS, PR, SO, SX, TC, TT, US, VC, VG, VI
    - Updated carrier data for country calling code(s): 226 (en)

 -- Lara Scheidegger <lararennie@google.com>  Fri, 20 Dec 2013 10:47:07 +0100

libphonenumber (5.9.1) precise; urgency=low

  * Metadata changes:
    - New alternate formatting data for country calling code(s): 505,
    679
    - Updated phone metadata for region code(s):
    BF, CI, EG, EH, FJ, IN, KI, MA, MT, NG, NI, SI, SN, SR, TT
    - Updated short number metadata for region code(s): KI
    - Updated geocoding data for country calling code(s):
    27 (en), 226 (en), 1 (en)
    - New carrier data for country calling code(s): 356 (en), 677 (en)
    - Updated carrier data for country calling code(s):
    212 (en), 221 (en), 225 (en), 226 (en), 234 (en), 597 (en), 1 (en)

 -- Lara Scheidegger <lararennie@google.com>  Fri, 13 Dec 2013 10:53:59 +0100

libphonenumber (5.9) precise; urgency=low

  * Code changes:
    - Adding support for numbers with multiple Italian leading zeros, by
      adding a field to the phone number proto to allow an arbitrary number of
      leading zeros, and supporting this when parsing, validating and
      formatting.
    - Adding more functionality to ShortNumberInfo -> such as
      GetExpectedCostForRegion.

