## libphonenumber 7.0.8

=== debian/changelog ===
libphonenumber (7.0.8-0ubuntu3) xenial; urgency=medium

  * debian/patches/hash_as_diallable_char.patch
    -Add hash as diallable number

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Thu, 05 Nov 2015 18:48:12 -0200

libphonenumber (7.0.8-0ubuntu2) wily; urgency=medium

  * No-change rebuild against new libicu

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 05 Aug 2015 17:40:24 +0100

libphonenumber (7.0.8-0ubuntu1) wily; urgency=medium

  * New upstream version.
  * Rename library packages (soname bump).
  * Build with optimization again.
  * Build Multi-Arch: same packages.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 21 Jul 2015 13:56:09 +0200

libphonenumber (6.0+r655-0ubuntu7) wily; urgency=medium

  * Make the dev package depend on libprotobuf-dev.

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Fri, 17 Jul 2015 20:11:54 -0300
