=== debian/rules ===
--- 
+++ 
@@ -26,8 +26,6 @@
 CPP_BUILD := cpp/build
 JAVA_BUILD := java/build
 
-export DEB_CXXFLAGS_MAINT_STRIP = -O2 -O3
-
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   MAKEFLAGS += -j$(NUMJOBS)
@@ -46,6 +44,15 @@
 	$(ANT) -f $(JAVA_BUILD).xml junit
 endif
 
+override_dh_auto_install:
+	dh_auto_install
+	cp cpp/src/phonenumbers/region_code.h \
+	  debian/tmp/./usr/include/phonenumbers/.
+	cp cpp/src/phonenumbers/base/synchronization/lock_posix.h \
+	  debian/tmp/./usr/include/phonenumbers/base/synchronization/.
+	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
+	mv debian/tmp/usr/lib/lib* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/.
+
 override_dh_auto_clean:
 	dh_auto_clean
 	-$(ANT) -f $(JAVA_BUILD).xml clean
