## libphonenumber 7.1.0

=== cpp/CMakeLists.txt ===
--- 
+++ 
@@ -17,8 +17,8 @@
 cmake_minimum_required (VERSION 2.8)
 
 project (libphonenumber)
-set (libphonenumber_VERSION_MAJOR 6)
-set (libphonenumber_VERSION_MINOR 2)
+set (libphonenumber_VERSION_MAJOR 7)
+set (libphonenumber_VERSION_MINOR 0)
 
 # Helper functions dealing with finding libraries and programs this library
 # depends on.
@@ -192,9 +192,9 @@
   "src/phonenumbers/phonenumber.cc"
   "src/phonenumbers/phonenumber.pb.cc"   # Generated by Protocol Buffers.
   "src/phonenumbers/phonenumberutil.cc"
+  "src/phonenumbers/regex_based_matcher.cc"
   "src/phonenumbers/regexp_cache.cc"
   "src/phonenumbers/shortnumberinfo.cc"
-  "src/phonenumbers/shortnumberutil.cc"
   "src/phonenumbers/string_byte_sink.cc"
   "src/phonenumbers/stringutil.cc"
   "src/phonenumbers/unicodestring.cc"
@@ -348,4 +348,3 @@
   add_library (geocoding STATIC ${GEOCODING_SOURCES})
   # The geocoder doesn't use RE2 so there is no reason not to build a shared
   # library for it.
-  add_library (geocoding-shared SHARED ${GEOCODING_SOURCES})
