=== debian/changelog ===
libphonenumber (7.1.0-7) unstable; urgency=medium

  * Team upload.
  * Don't build using boost, not required on recent Linux versions.
  * Make the build verbose.
  * Properly pass optimization and hardening flags to the cmake build.
  * Fix the clean target.
  * Bump debhelper and standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Dec 2020 14:49:19 +0100

libphonenumber (7.1.0-6) unstable; urgency=medium

  * Team upload.
  * Update watch and Vcs package attributes, thanks to Neil Mayhew for the
    patch. Closes: #956863
  * Update the Uploaders List. Closes: #953464
  * Add gbp.conf specifing the Debian default branch.

 -- Tobias Frost <tobi@debian.org>  Tue, 29 Sep 2020 19:08:25 +0200

libphonenumber (7.1.0-5) unstable; urgency=medium

  * Team upload.
  * Revert "Set environment to GCC-6." because this is the default now.
  * Add readdir_r-is-deprecated.patch and fix FTBFS with glibc 2.24.
    Thanks to Graham Inggs for the report. (Closes: #836768)
  * Add libboost-filesystem-dev to Build-Depends.

 -- Markus Koschany <apo@debian.org>  Tue, 13 Sep 2016 23:13:45 +0200

libphonenumber (7.1.0-4) unstable; urgency=medium

  * Team upload.
  * Vcs-Git: Use https.
  * Add gcc-6-ftbfs.patch and fix FTBFS with GCC-6. (Closes: #811613)
    Thanks to Martin Michlmayr for the report.
  * Fix Lintian warning syntax-error-in-dep5-copyright.
  * Add 0010-reproducible-build.patch and make the build reproducible.
    Thanks to Reiner Herrmann for the report and patch. (Closes: #828748)
  * Fix Lintian warning dep5-copyright-license-name-not-unique.

 -- Markus Koschany <apo@debian.org>  Sat, 16 Jul 2016 23:04:13 +0200

libphonenumber (7.1.0-3) unstable; urgency=medium

  * Team upload.
  * Transition to the Servlet API 3.1 (Closes: #801036)
  * Standards-Version updated to 3.9.8 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 21 Jun 2016 09:54:33 +0200

libphonenumber (7.1.0-2) unstable; urgency=medium

  * Move libphonenumber7-dev.install to libphonenumber-dev.install so the -dev
    package actually contains files.
  * Have libphoneumber7-java Conflict & Replace libphonenumber-java.

 -- Iain Lane <laney@debian.org>  Tue, 10 Nov 2015 09:57:19 +0000

libphonenumber (7.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Conflict with libphonenumber6-java.  (Closes: #800921)

 -- Daniel Pocock <daniel@pocock.pro>  Fri, 09 Oct 2015 15:00:45 +0200

libphonenumber (7.0.11-2) unstable; urgency=medium

  * Split libgeocoding out into a separate package.
  * Make library packages Multi-Arch: same
  * Rename -dev package to not include the version - this means that
    our reverse build-deps don't need to have source changes whenever we bump
    the ABI version.
  * debian/patches/0001-Boost-build-fix.patch: Make sure to install all the
    headers.
  * debian/patches/0002-C-symbols-map.patch: Control our exported symbols to
    not leak those of libraries we depend on.

 -- Iain Lane <laney@debian.org>  Fri, 25 Sep 2015 13:20:24 +0100

libphonenumber (7.0.11-1) unstable; urgency=medium

  * New upstream release.
  * VCS rebased using clone of new upstream Git repository.
  * Builds with GCC-5.  (Closes: #797835)

 -- Daniel Pocock <daniel@pocock.pro>  Tue, 22 Sep 2015 11:38:16 +0000

libphonenumber (6.3~svn698-4) unstable; urgency=medium

  * Team upload.
  * Rebuild against libboost in unstable (that is >= 1.58).
    - (Closes: #794900, #794658)
  * Add patch to remove the deprecated forkMode parameter in the
    maven-surefire-plugin configuration.  This was causing tests
    to fail and made the package FTBFS.
  * Test compilations with GCC-5 from experimental also indicate
    that this package now successfully builds without source changes
    (surely due to the updated libboost).  (Closes: #777967)

 -- tony mancill <tmancill@debian.org>  Sun, 09 Aug 2015 13:09:47 -0700
